Bug 16432 - Fix Apt backend's doResolve()
Summary: Fix Apt backend's doResolve()
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: backend-apt (show other bugs)
Version: unspecified
Hardware: All Linux (All)
: medium major
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-19 09:45 UTC by Martin Pitt
Modified: 2008-09-02 23:48 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Fix apt backend doResolve() (889 bytes, patch)
2008-06-19 09:45 UTC, Martin Pitt
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Pitt 2008-06-19 09:45:26 UTC
Created attachment 17232 [details] [review]
Fix apt backend doResolve()

Apt backend's doResolve() in 0.2.2 has two bugs which break it completely, and thus make the apt backend unusable:

 * is_package_visible() does not exist, it should be _is_package_visible()
 * function receives a string "name" (in particular, a Dbus.String), but tries to pass it to _is_package_visible() and _emit_package(). Those expect a package object from apt.Cache(), though.

Attached patch fixes both. Now standard operations like "search", "install", "remove", "get-details" etc. work fine.
Comment 1 Sebastian Heinlein 2008-06-23 08:31:22 UTC
Fixed in my local repository. I will upload the fix soon.
Comment 2 Martin Pitt 2008-07-09 02:40:41 UTC
This isn't in 0.2.3 yet. Sebastian, will you push your repo to trunk soon, or shall I just commit the fix to trunk? Thanks!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.